Module jdk.jdi
Package com.sun.jdi.connect

# Class IllegalConnectorArgumentsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.jdi.connect.IllegalConnectorArgumentsException

All Implemented Interfaces:
  `Serializable`

public class IllegalConnectorArgumentsException extends Exception
Thrown to indicate an invalid argument or inconsistent passed to a `Connector`.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalConnectorArgumentsException(String s, String name)`
Construct an `IllegalConnectorArgumentsException` with the specified detail message and the name of the argument which is invalid or inconsistent.
`IllegalConnectorArgumentsException(String s, List<String> names)`
Construct an `IllegalConnectorArgumentsException` with the specified detail message and a `List` of names of arguments which are invalid or inconsistent.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`argumentNames()`
Return a `List` containing the names of the invalid or inconsistent arguments.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalConnectorArgumentsException

public IllegalConnectorArgumentsException(String s, String name)
Construct an `IllegalConnectorArgumentsException` with the specified detail message and the name of the argument which is invalid or inconsistent.

Parameters:
  `s` - the detailed message.
  `name` - the name of the invalid or inconsistent argument.

### IllegalConnectorArgumentsException

public IllegalConnectorArgumentsException(String s, List<String> names)
Construct an `IllegalConnectorArgumentsException` with the specified detail message and a `List` of names of arguments which are invalid or inconsistent.

Parameters:
  `s` - the detailed message.
  `names` - a `List` containing the names of the invalid or inconsistent argument.

## Method Details

### argumentNames

public List<String> argumentNames()
Return a `List` containing the names of the invalid or inconsistent arguments.

Returns:
  a `List` of argument names.